#pragma once

#include "multiverseview.h"
#include "qsacnnode.h"

#include <QApplication>
#include <QSettings>

class SacnExplorer
    : public QApplication
{
  Q_OBJECT
public:
  explicit SacnExplorer(int argc, char *argv[]);
  virtual ~SacnExplorer();

private:
  void loadSettings();
  void saveSettings();

  MultiverseView* window_;
  QSacnNode *node_;
  QSettings *settings_;
};

